<div class="input-container">
<input class="input" id="databox" placeholder="Datum"/>
<img id="correct1" src="/style/images/correct.png" style="display: none"/>
</div>
<div class="input-container">
<input class="input" id="personanummerbox" placeholder="Personnummer"/>
<img  id="correct2" src="/style/images/correct.png" style="display: none"/>
</div>
<div class="input-container">
<input class="input" id="status"placeholder="Anställningsstatus"/>
<img id="correct3"  src="/style/images/correct.png" style="display: none"/>
</div>
<script>
    const ws = new WebSocket("ws://localhost:9998");
    ws.addEventListener("open", () => {
        console.log("we are connected!")});
    ws.addEventListener("message", e => {
        console.log("hulala", e);
        data = e.data;

        json = JSON.parse(data);
        personalNummer = json.subject;
        personalNummer = personalNummer.replaceAll('"', '');
        console.log(json.type);
        document.getElementById("databox").value = json.statusChangedDate;
        document.getElementById("personanummerbox").value = personalNummer;
        document.getElementById("status").value = json.status;
        document.getElementById("description").innerText = "Tack! Nu ska det va klart.";
        document.getElementById("description").setAttribute("class", "description description-finish");
        document.getElementById("correct1").setAttribute("style","display: inline");
        document.getElementById("correct2").setAttribute("style","display: inline");
        document.getElementById("correct3").setAttribute("style","display: inline");
        document.getElementById("myButton").innerHTML = "Gå vidare >";
        //document.getElementById("on-img").setAttribute("style","display: none");
    });
</script>